<app-header-logged pageOrigine="/simbranauto">
    <!-- <ion-back-button (click)="precedent()" text="" defaultHref="choiceoption"></ion-back-button> -->
</app-header-logged>


<ion-content *ngIf="endChargement" scroll-y="true">
    <app-ariane etape=3> </app-ariane>
    <app-refresher></app-refresher>

    <div class="container">
        <div *ngIf="typeOrigineRoutine ==typeRoutineSimulation" class="contentBlock simulationVue">


            <p>
                <ion-label class="lien" translate>simulation {{simulationActif.numeroDansSession}}</ion-label>

                <ion-text class="save"
                    *ngIf="authService.isAuthenticated() && (typeOrigineRoutine ==typeRoutineSimulation)"
                    (click)="enregistrer()" translate>enregistrer</ion-text>
            </p>

            <!-- <ion-button shape="round" size="small">
                <a class="lien" (click)="selectionSimulation()">
                    <ion-label class="lien" translate> voir_autres_simultations <strong>
                            <ion-icon color="sec" name="eye"></ion-icon>
                        </strong></ion-label>
                </a><br>
            </ion-button> -->


        </div>
        <div class="headingContent">
            <p class="heading" translate>votre_selection</p>
        </div>
        <form [formGroup]="onDeclarationForm">

            <div class="contentBlock">
                <div>
                    <p class="question" text-left translate>date_effet</p>
                    <div *ngIf="typeOrigineRoutine == typeRoutineSimulation" class="itemInput itemInputInfos">
                        <ion-text>{{this.simulationActif.assures[active].dateEffet | date: 'd/MM/yyyy'}}</ion-text>
                    </div>
                    <div *ngIf="typeOrigineRoutine == typeRoutineNewContrat || typeOrigineRoutine == typeRoutineRenewContrat"
                        class="itemInput">
                        <!-- <ion-text *ngIf="inputDebut!=null">{{utilsService.displayDate(inputDebut.value)}}</ion-text> -->
                        <ion-input [value]="utilsService.displayDateFormatInput(this.operationActif.dateEffet)"
                            class="labelTitreInput" (ionInput)="ajustInput('debut')"
                            (ionChange)="ajustInputSecondeSession()" [ngClass]="dateDebutError ?'dateErreur':''" #debut
                            formControlName="debut" type="date"></ion-input>
                    </div>
                </div>

                <div>
                    <p class="question" text-left translate> date_de_cloture </p>
                    <div *ngIf="typeOrigineRoutine == typeRoutineSimulation" class="itemInput itemInputInfos">
                        <ion-text>{{this.simulationActif.assures[active].dateCloture | date: 'd/MM/yyyy'}}</ion-text>
                    </div>
                    <div *ngIf="typeOrigineRoutine == typeRoutineNewContrat || typeOrigineRoutine == typeRoutineRenewContrat"
                        class="itemInput">
                        <ion-text *ngIf="inputFin!=null">{{utilsService.displayDate(inputFin.value)}}</ion-text>
                        <ion-input style="opacity: 0"
                            [value]="utilsService.displayDateFormatInput(this.operationActif.dateCloture)" readonly
                            class="labelTitreInput labelFinInput" (ionInput)="ajustInput('fin')"
                            [ngClass]="dateFinError ?'dateErreur':''" #fin formControlName="fin" type="date">
                        </ion-input>
                    </div>
                </div>
                <div [ngClass]="{'modifierFlotte': listeSimFlotte.length > 1}">
                    <p class="question ion-text-center" translate>modifier</p>
                    <!-- <ion-button fill="clear" (click)="validerChangementDate()"> -->
                        <div class="image" (click)="validerChangementDate()">
                            <img src="../../assets/icon/modifier.svg">
                        </div>
                    <!-- </ion-button> -->
                </div>
            </div>
        </form>
        <div *ngIf="typeOrigineRoutine == typeRoutineSimulation">
            <div class="contentBlock" *ngFor="let simulation of contrats[0].objetAssures;let i = index">
                <div>
                    <p [ngClass]="i!=0?'invisibleTitre':''" translate>immatriculation</p>
                    <div class="itemInput itemInputInfos">
                        <ion-text>{{simulation.assure.intitule}}</ion-text>
                    </div>
                </div>
                <div>
                    <p class="meilleur_tarif" [ngClass]="i!=0?'invisibleTitre':''" translate>meilleur_tarif</p>
                    <div class="itemInput itemInputInfos meilleur_tarif">
                        <ion-text>{{simulation.montantTarif}}</ion-text>
                    </div>
                </div>
                <div>
                    <p [ngClass]="i!=0?'invisibleTitre':''" translate>modifier</p>
                    <div class="image" (click)="editSimulation(simulation)">
                        <img src="../../assets/icon/modifier.svg">
                    </div>
                </div>
                <div *ngIf="listeSimFlotte.length > 1">
                    <p [ngClass]="i!=0?'invisibleTitre':''">Retirer</p>
                    <div class="image" (click)="deleteSimulation(simulation.numeroDansFlotte)">
                        <img src="../../assets/icon/supprimer.svg">
                    </div>
                </div>

            </div>

            <div class="contentBlock" *ngIf="listeSimFlotte.length > 1">
                <div>
                    <div class="itemInput itemInputInfos inputInfosTarif">
                        <ion-text translate>TARIF_SELECTION</ion-text>
                    </div>
                </div>
                <div>
                    <div class="itemInput itemInputInfos">
                        <ion-text class="prix">{{this.totalSimuler}}</ion-text>
                    </div>
                </div>
                <div class="invisibleTitre">
                    <p translate>modifier</p>
                    <div class="image">
                        <img src="../../assets/icon/modifier.svg">
                    </div>

                </div>
                <div class="invisibleTitre">
                    <p *ngIf="listeSimFlotte.length>1" translate>retirer</p>
                    <div *ngIf="listeSimFlotte.length>1" class="image">
                        <img src="../../assets/icon/supprimer.svg">
                    </div>
                </div>

            </div>


        </div>


        <div *ngIf="typeOrigineRoutine == typeRoutineNewContrat || typeOrigineRoutine == typeRoutineRenewContrat">
            <div class="contentBlock" *ngFor="let routine of listeRoutineContrat;let i = index">

                <div>
                    <p [ngClass]="i!=0?'invisibleTitre':''" translate>immatriculation</p>
                    <div class="itemInput itemInputInfos">
                        <ion-text>{{routine.objet.intitule}}</ion-text>
                    </div>

                </div>
                <div>
                    <p [ngClass]="i!=0?'invisibleTitre':''" translate>meilleur_tarif</p>
                    <div class="itemInput itemInputInfos">
                        <ion-text>{{450000*(i+1)}}</ion-text>
                    </div>
                </div>
                <div>
                    <p [ngClass]="i!=0?'invisibleTitre':''" translate>modifier</p>
                    <div class="image" (click)="editContrat(routine)">
                        <img src="../../assets/icon/modifier.svg">
                    </div>

                </div>
                <div>
                    <p [ngClass]="i!=0?'invisibleTitre':''" *ngIf="listeRoutineContrat.length>1" translate>retirer</p>
                    <div class="image" *ngIf="listeRoutineContrat.length>1" (click)="deleteRoutineContrat(i)">
                        <img src="../../assets/icon/supprimer.svg">
                    </div>
                </div>

            </div>

            <div class="contentBlock">

                <div>

                    <div class="itemInput itemInputInfos inputInfosTarif">
                        <ion-text translate>TARIF_SELECTION</ion-text>
                    </div>

                </div>
                <div>

                    <div class="itemInput itemInputInfos">
                        <ion-text class="prix">{{this.totalPrixRoutineContrat}}</ion-text>
                    </div>
                </div>
                <div class="invisibleTitre">
                    <p translate>modifier</p>
                    <div class="image">
                        <img src="../../assets/icon/modifier.svg">
                    </div>

                </div>
                <div class="invisibleTitre">
                    <p *ngIf="listeRoutineContrat.length>1" translate> retirer</p>
                    <div *ngIf="listeRoutineContrat.length>1" class="image">
                        <img src="../../assets/icon/supprimer.svg">
                    </div>
                </div>

            </div>


        </div>

        <div class="btnBottom">
            <ion-button (click)="addVehicule()" size="small" shape="round" expand="full">
                <!-- <ion-icon class="ion-2x" name="car"></ion-icon> -->
                Rajouter un vehicule
                <ion-icon class="ion-2x" name="add-circle-outline" slot="end"></ion-icon>
            </ion-button>
        </div>

    </div>
    <div class="container containerBas">
        <div class="headingContent">
            <p class="heading" translate>meilleurs_tarifs</p>
        </div>
        <p class="nombreCA ion-text-center" ><span translate>nous_avons</span> {{items.length}} <span
                translate>offres_correspondant_a_votre_selection_parmi_nos_partenaires</span></p>
        <div *ngFor="let item of items;let i =index ">
            <div class="contentBlock">
                <p>
                    <img class="logo" [src]="item.logo">
                </p>
                <p>
                    <ion-label class="prix"><strong> {{item.prix}} </strong></ion-label>
                    <ion-label class="prix"><strong>{{deviseMonnaie}}</strong></ion-label>
                </p>
                <div>
                    <p class="titreMarketPlace" translate>Souscrire</p>
                    <div class="image" (click)="validerSimulation(item.compagnie,item.prix,item.caActuel)">
                        <img src="../../assets/icon/valider.svg">
                    </div>
                </div>
                <div>
                    <p class="titreMarketPlace" translate>Détails</p>
                    <div class="image" *ngIf="item.zipped" (click)="montrerDetails(item)">

                        <img src="../../assets/icon/details.svg">
                    </div>
                    <div class="image" *ngIf="!item.zipped" (click)="cacherDetails(item)">
                        <img src="../../assets/icon/close.svg">
                    </div>
                </div>
            </div>
            <ion-card class="cardCA" *ngIf="!item.zipped">

                <ion-label ion-text-justify-center class="titreSection"><small translate>Votre Sélection</small>
                </ion-label>
                <ion-grid>

                    <ion-row>
                        <ion-col class="ion-text-center">
                            <ion-label class="labelTitreDate" translate> date_effet</ion-label>


                        </ion-col>
                        <ion-col class="ion-text-center">
                            <ion-label class="labelTitreDate" translate> date_de_cloture</ion-label>

                        </ion-col>
                    </ion-row>
                    <ion-row>
                        <ion-col class="ion-text-center">
                            <ion-label class="labelDate" *ngIf="typeOrigineRoutine ==typeRoutineSimulation">
                                {{displayDate(simulationActif.assures[active].dateEffet)}}</ion-label>
                            <ion-label class="labelDate"
                                *ngIf="typeOrigineRoutine ==typeRoutineNewContrat ||typeOrigineRoutine ==typeRoutineRenewContrat ">
                                {{displayDate(operationActif.dateEffet)}}</ion-label>

                        </ion-col>
                        <ion-col class="ion-text-center">
                            <ion-label class="labelDate" *ngIf="typeOrigineRoutine ==typeRoutineSimulation">
                                {{displayDate(simulationActif.assures[active].dateCloture)}}</ion-label>
                            <ion-label class="labelDate"
                                *ngIf="typeOrigineRoutine ==typeRoutineNewContrat ||typeOrigineRoutine ==typeRoutineRenewContrat ">
                                {{displayDate(operationActif.dateCloture)}}</ion-label>
                        </ion-col>
                    </ion-row>

                </ion-grid>

                <ion-label class="titreSection"><small translate>vos_options</small></ion-label>
                <div *ngIf="typeOrigineRoutine ==typeRoutineSimulation">

                    <ion-grid *ngFor="let simulation of listeSimFlotte;let i = index">
                        <ion-row *ngIf="listeSimFlotte.length>1" class="headerRow">
                            <ion-col class="ion-text-center">
                                <ion-label class="nomContenu">{{simulation.assure.intitule}}</ion-label>
                            </ion-col>
                            <ion-col class="ion-text-center">
                                {{item.objetsPrix[i].prix | currency: 'XOF'}}

                            </ion-col>

                        </ion-row>
                        <ion-row *ngFor="let garantie of garantiesCa">
                            <ion-col class="ion-text-center">
                                <small color="blue" translate> {{garantie.libelle}} </small>
                            </ion-col>
                            <ion-col class="ion-text-center" *ngIf="garantie.tarif">
                                <small color="blue" translate> {{garantie.tarif}} </small>
                            </ion-col>
                            <ion-col class="ion-text-center"
                                (click)="chargerConditionsGenerales(recupererConditionsGarantie(garantie,item.compagnie).id) ">
                                <small> {{item.compagnie.nom+"
                                    "}}CG-{{recupererConditionsGarantie(garantie,item.compagnie).id}}</small>
                                <ion-icon color="primary" name="eye"></ion-icon>
                            </ion-col>

                        </ion-row>

                    </ion-grid>
                </div>
                <div *ngIf="typeOrigineRoutine ==typeRoutineNewContrat ||typeOrigineRoutine ==typeRoutineRenewContrat ">
                    <ion-grid *ngFor="let routine of listeRoutineContrat;let i = index">
                        <ion-row *ngIf="listeRoutineContrat.length>1" class="headerRow">
                            <ion-col class="ion-text-center">
                                <ion-label class="nomContenu"><small>{{routine.objet.intitule}}</small></ion-label>
                            </ion-col>
                            <ion-col class="ion-text-center">
                                450000
                            </ion-col>

                        </ion-row>

                        <ion-row *ngFor="let garantie of routine.operation.garanties">
                            <ion-col class="ion-text-center">
                                <small color="blue"> {{garantie.libelle}} </small>

                            </ion-col>
                            <ion-col class="ion-text-center"
                                (click)="chargerConditionsGenerales(recupererConditionsGarantie(garantie,item.compagnie).id) ">
                                <small> {{item.compagnie.nom+"
                                    "}}CG-{{recupererConditionsGarantie(garantie,item.compagnie).id}}</small>
                                <ion-icon color="primary" name="eye"></ion-icon>
                            </ion-col>

                        </ion-row>


                    </ion-grid>
                </div>
                <ion-grid>

                </ion-grid>

            </ion-card>

        </div>


        <!-- fin -->
        <div class="btnBottom">
            <ion-button (click)="selectionSimulation()" size="small" shape="round" expand="full" class="simuler">
                Sélectionner autres simulations
                <ion-icon color="sec" name="eye" slot="end"></ion-icon>
            </ion-button>
        </div>
        <div class="btnBottom">
            <ion-button (click)="selectionBranche()" class="simuler" #bouton [ngClass]="cachebouton?'invisible':''" margin
                size="small" shape="round" expand="full" color="primary">
                <ion-text translate>Lancer une nouvelle simulation</ion-text>
            </ion-button>
        </div>

    </div>
</ion-content>
<ion-footer>
    <!-- <app-custom-tab-bar></app-custom-tab-bar> -->
    <div class="bottomContainer">
        <div class="bottomBlock">
            <ion-button class="btnBlock" (click)="effacerDonnees()" fill="clear">
                <ion-icon name="arrow-dropleft-circle" slot="start"></ion-icon>
                précédent
            </ion-button>
        </div>
    </div>
</ion-footer>